# file climch_cc.py: list of instructions
# ver. 26.06.2001
# FLUX CONTROL
# for program climch* controlling data logger
# NOTE: 'startAtTime' is used to start at any
# point in a cycle. This also allows a soft restart
# at any time, if set to the actual elapsed time
# at the point of stopping the program.
#
# Dictionary of Control constants
Cc = { #don't edit this line
'run_id': 19, #should be an integer
'startAtTime': 0, #see note above
'tAvg': 12, #average temperature
'tPeriod': 24, #temperature cycle time hours
'tHalfAmp': 0, #half amplitude of temperature cycle
'tCorrC': -20.0, #seconds of warming per degree error(-20)
'tTrendC': -800.0, #seconds of warming per unit trend error(-800)
'mAvg': 50, #average water or rh
'mPeriod': 24, #moisture cycle time
'mHalfAmp': 0, #half amplitude of moisture cycle
'mCorrC': -0.07, #seconds of warming per unit error (-0.07)or(0.02)
'mTrendC': -0.7, #seconds of warming per unit trend error (-0.7)or(1)
'peltierVolts': 0, #starting Peltier voltage
'rhControl': 1, #1=rh control. 0=flux control (needs programming)
} #don't edit this line
