#serport: initialise the serial port for Agilent data logger
import os, termios, TERMIOS, FCNTL
class SerialPort:
    """Agilent serial port class.

    This simply encapsulates a file descriptor for the desired serial port.
    """
    def __init__(self, dev):
        fd = self.fd = os.open(dev, FCNTL.O_RDWR | FCNTL.O_NOCTTY)
        # Save the current state of the serial port
        self.original_state = termios.tcgetattr(fd)
        # Set connection parameters to 1200 baud, 8N1, one stop bits
        L = termios.tcgetattr(fd)
        iflag, oflag, cflag, lflag, ispeed, ospeed, chars = L
        ispeed = ospeed = TERMIOS.B9600
        cflag = 0
	cflag = TERMIOS.CS8 | TERMIOS.CRTSCTS | TERMIOS.CREAD
        iflag = 0 
        iflag = TERMIOS.IGNPAR
	lflag = 0
	oflag = 0
        chars[ TERMIOS.VMIN ] = 0
        chars[ TERMIOS.VTIME ] = 1
        L = [iflag, oflag, cflag, lflag, ispeed, ospeed, chars]
        termios.tcsetattr(fd, TERMIOS.TCSANOW, L)
    def write(self, string):
        "Write a string to the port"
        os.write(self.fd,string)
    def read(self, N=1):
        "Read a string from the port"
        return os.read(self.fd,string)
    def dialog(self,string):
        "write a string and collect answer"
        termios.tcflush(self.fd, TERMIOS.TCIOFLUSH)
	os.write(self.fd, string)
        reply = '1'
	message = ''
	while reply:
	   reply = os.read(self.fd,1)
	   message = message + reply
        return message
    def close(self):
        "Restore the port to its starting state"
        termios.tcsetattr(self.fd, TERMIOS.TCSANOW, self.original_state)
        if self.fd is None: return
        os.close( self.fd )
        self.fd = None
	
